Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: GaëlInterface trop grande :(
#21
(12-01-20, 10:30)poulouseaweed a écrit : bonjour,
désolé pour ma réponse tardive, je viens de passer 3 jours à l'hosto.
Ma résolution est 1366 x 768 (16:9)
Laucher icon size 34
La taille de la police par défaut est Ubuntu Regular 11.
Je ne pense pas qu'il faille chercher de ce côté-là. Avant la mise à niveau vers 3.0 tout était parfait mais bon je ne
suis pas non plus un spécialiste

Bonjour,

Ca pourrait, l'interface (et une bonne partie de comment elle est gérée) à beaucoup évoluée entre la 2.6 et la 3.0. Ta résolution est en effet petite. Pas idéale pour utiliser un logiciel comme darktable. Si ton écran permet de monter plus haut en résolution, je te recommande de le faire.
La taille Launcher icon size, là on s'en fout. La taille de police et police est la même que chez moi.

Ce que je trouve bizarre est qu'une partie seulement de l'interface parait un peu plus gros (les titres de modules et vues), le reste me semble tout à fait normal.
Si tu as changé le paramètre sinon screen_dpi_overwrite, à mon avis tu as dû le faire sans avoir fermé darktable avant de modifier le fichier.

Sinon, quelle version de Gtk+ est installée sur ton système ?
Aussi appelé Nilvus !
Ubuntu 19.10 - darktable master - Macbook pro fin 2013 13"
Répondre
#22
(06-01-20, 18:12)nicoauffray a écrit :
(06-01-20, 17:53)poulouseaweed a écrit : bonjour,
j'ai le même problème de police trop grande sous Ubuntu 18.04LTS. J'ai effectué la manipulation (remplacer  screen_dpi_overwrite=-1.0, par 72) et chez moi aucun changement, la police est toujours trop grande.
Mon portable est un ASUS K55V

Euh, quelle version de darktable ? Qu'entends-tu par trop grande ? Une capture d'écran peut aider... Et selon la version, quel thème utilisé ? Et si darktable 3.0, quel source : compilation perso ? dépôt PPA ? si dépôt, lequel ?

Normalement, sur Ubuntu, ce paramètre doit rester à -1.0, sauf si tu as utilisé le PPA ubuntuhandbook qui semble poser problème (PPA à éviter, la compilation faite semble mauvaise ; trop de problèmes divers variés non liés à darktable mais au paquet).

L'interface et les thèmes 3.0 ont été fait par Aurélien et moi-même. On est tous les 2 sous Linux et je travaille moi sous Ubuntu 19.10. Donc normalement, une bonne version de darktable 3.0 ne doit pas avoir de problème de ce type par défaut.

(12-01-20, 21:18)nicoauffray a écrit :
(12-01-20, 10:30)poulouseaweed a écrit : bonjour,
désolé pour ma réponse tardive, je viens de passer 3 jours à l'hosto.
Ma résolution est 1366 x 768 (16:9)
Laucher icon size 34
La taille de la police par défaut est Ubuntu Regular 11.
Je ne pense pas qu'il faille chercher de ce côté-là. Avant la mise à niveau vers 3.0 tout était parfait mais bon je ne
suis pas non plus un spécialiste

Bonjour,

Ca pourrait, l'interface (et une bonne partie de comment elle est gérée) à beaucoup évoluée entre la 2.6 et la 3.0. Ta résolution est en effet petite. Pas idéale pour utiliser un logiciel comme darktable. Si ton écran permet de monter plus haut en résolution, je te recommande de le faire.
La taille Launcher icon size, là on s'en fout. La taille de police et police est la même que chez moi.

Ce que je trouve bizarre est qu'une partie seulement de l'interface parait un peu plus gros (les titres de modules et vues), le reste me semble tout à fait normal.
Si tu as changé le paramètre sinon screen_dpi_overwrite, à mon avis tu as dû le faire sans avoir fermé darktable avant de modifier le fichier.

Sinon, quelle version de Gtk+ est installée sur ton système ?

j'ai modifié le fichier( screen_dpi_overwrite=-1.0, par 72) avec Darktable fermé.
La résolution d'écran que j'utilise est la plus grande. 
J'ai modifié la taille de la police par défaut d' Ubuntu  de Regular 11 vers 9 ,alors c'est parfait pour darktable, par contre pour 
mes autres applications ça devient trop petit(Thunderbird, The Gimp)


libgtk2.0-0:

  Installed: 2.24.32-1ubuntu1
  Candidate: 2.24.32-1ubuntu1
  Version table:
 *** 2.24.32-1ubuntu1 500
        500 http://be.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status
libgtk-3-0:
  Installed: 3.22.30-1ubuntu4
  Candidate: 3.22.30-1ubuntu4
  Version table:
 *** 3.22.30-1ubuntu4 500
        500 http://be.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     3.22.30-1ubuntu1 500
        500 http://be.archive.ubuntu.com/ubuntu bionic/main amd64 Packages

Répondre
#23
(13-01-20, 09:20)poulouseaweed a écrit : j'ai modifié le fichier( screen_dpi_overwrite=-1.0, par 72) avec Darktable fermé.
La résolution d'écran que j'utilise est la plus grande. 
J'ai modifié la taille de la police par défaut d' Ubuntu  de Regular 11 vers 9 ,alors c'est parfait pour darktable, par contre pour 
mes autres applications ça devient trop petit(Thunderbird, The Gimp)

libgtk-3-0:
  Installed: 3.22.30-1ubuntu4
  Candidate: 3.22.30-1ubuntu4
  Version table:
 *** 3.22.30-1ubuntu4 500
        500 http://be.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     3.22.30-1ubuntu1 500
        500 http://be.archive.ubuntu.com/ubuntu bionic/main amd64 Packages

Désolé mais là je ne vois pas (changer la taille de la police ne va pas, pour la raison que tu décris toi-même). Bref, essaie peut-être de baisser le paramètre 72. Dans l'absolu, tu ne devrais pas avoir ce problème et vous êtes très peu à faire remonter ce problème. Franchement, il doit y avoir autre chose que je comprends pas ici.
La version Gtk+ recommandé au minimum est la version 3.22, que tu as. A moins qu'il y ait un problème mineur possible sur cette version qui poserait ce problème (j'ai une version supérieure pour ma part), je ne vois rien d'autre qui puisse en être la cause comme ça.
Aussi appelé Nilvus !
Ubuntu 19.10 - darktable master - Macbook pro fin 2013 13"
Répondre
#24
(06-01-20, 18:12)nicoauffray a écrit :
(06-01-20, 17:53)poulouseaweed a écrit : bonjour,
j'ai le même problème de police trop grande sous Ubuntu 18.04LTS. J'ai effectué la manipulation (remplacer  screen_dpi_overwrite=-1.0, par 72) et chez moi aucun changement, la police est toujours trop grande.
Mon portable est un ASUS K55V

Euh, quelle version de darktable ? Qu'entends-tu par trop grande ? Une capture d'écran peut aider... Et selon la version, quel thème utilisé ? Et si darktable 3.0, quel source : compilation perso ? dépôt PPA ? si dépôt, lequel ?

Normalement, sur Ubuntu, ce paramètre doit rester à -1.0, sauf si tu as utilisé le PPA ubuntuhandbook qui semble poser problème (PPA à éviter, la compilation faite semble mauvaise ; trop de problèmes divers variés non liés à darktable mais au paquet).

L'interface et les thèmes 3.0 ont été fait par Aurélien et moi-même. On est tous les 2 sous Linux et je travaille moi sous Ubuntu 19.10. Donc normalement, une bonne version de darktable 3.0 ne doit pas avoir de problème de ce type par défaut.

(13-01-20, 21:01)nicoauffray a écrit :
(13-01-20, 09:20)poulouseaweed a écrit : j'ai modifié le fichier( screen_dpi_overwrite=-1.0, par 72) avec Darktable fermé.
La résolution d'écran que j'utilise est la plus grande. 
J'ai modifié la taille de la police par défaut d' Ubuntu  de Regular 11 vers 9 ,alors c'est parfait pour darktable, par contre pour 
mes autres applications ça devient trop petit(Thunderbird, The Gimp)

libgtk-3-0:
  Installed: 3.22.30-1ubuntu4
  Candidate: 3.22.30-1ubuntu4
  Version table:
 *** 3.22.30-1ubuntu4 500
        500 http://be.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     3.22.30-1ubuntu1 500
        500 http://be.archive.ubuntu.com/ubuntu bionic/main amd64 Packages

Désolé mais là je ne vois pas (changer la taille de la police ne va pas, pour la raison que tu décris toi-même). Bref, essaie peut-être de baisser le paramètre 72. Dans l'absolu, tu ne devrais pas avoir ce problème et vous êtes très peu à faire remonter ce problème. Franchement, il doit y avoir autre chose que je comprends pas ici.
La version Gtk+ recommandé au minimum est la version 3.22, que tu as. A moins qu'il y ait un problème mineur possible sur cette version qui poserait ce problème (j'ai une version supérieure pour ma part), je ne vois rien d'autre qui puisse en être la cause comme ça.

j'ai modifié le paramètre dpi dans le fichier et ça n'a aucune incidence, ça reste pareil
Répondre
#25
GTK va me rendre chèvre pour de bon.
Aurélien, photographe portraitiste, spécialiste calcul.
Développeur de filmique, égaliseur de tons, balance couleur, etc.
darktable est mon métier, pensez à m'aider :
[Image: 2FAd4rc]
Répondre
#26
(13-01-20, 23:09)poulouseaweed a écrit : j'ai modifié le paramètre dpi dans le fichier et ça n'a aucune incidence, ça reste pareil

Ca confirme donc un problème externe à darktable, probablement un bug lié à ta version Gtk. Modifier ce paramètre DEVRAIT avoit une incidence. Pour le reste, la réponse d'Aurélien est éloquente.
Aussi appelé Nilvus !
Ubuntu 19.10 - darktable master - Macbook pro fin 2013 13"
Répondre
#27
Bonjour,
J'ai le même problème. Ubuntu 18.04 LTS
Résolution 1366 X 768 (16:9)
Ci-joint une impression d'écran
En "jouant" avec le panneau inférieur, j'arrive à avoir l'ensemble de la fenêtre sur l'écran
[Image: Capture-d-cran-de-2020-01-17-13-53-32.png]
Si vous avez des suggestions ce serait avec plaisir !
Merci
Jean-Louis
Répondre
#28
(17-01-20, 13:58)JeanLouisHache a écrit : Bonjour,
J'ai le même problème. Ubuntu 18.04 LTS
Résolution 1366 X 768 (16:9)
Ci-joint une impression d'écran
En "jouant" avec le panneau inférieur, j'arrive à avoir l'ensemble de la fenêtre sur l'écran
[Image: Capture-d-cran-de-2020-01-17-13-53-32.png]
Si vous avez des suggestions ce serait avec plaisir !
Merci
Jean-Louis

Bonjour Jean-Louis,

Je te laisse relire nos réponses ci-dessus pour comprendre que malheureusement non. La seule solution serait d'avoir une version de Gtk+ plus récente !
Donc passage Ubuntu 19.04 ou 19.10 par exemple, ou attendre la 20.04 LTS en avril...
Aussi appelé Nilvus !
Ubuntu 19.10 - darktable master - Macbook pro fin 2013 13"
Répondre
#29
Bonjour,
Je n'avais pas saisi cela et je me demandais si il y avait une possibilité d'avoir une version de Gtk plus récente.
Dans la mesure où cela n'altère pas les capacités de Darktable, je vais attendre la 20.04 LTS : je travaille avec VirtualBox et j'ai toujours peur des changements qui me priverait de Virtual Box dont je me sers pour faire tourner mon logiciel de compta.
Merci de ta réponse !
Jean-Louis
Répondre
#30
(17-01-20, 17:58)JeanLouisHache a écrit : Bonjour,
Je n'avais pas saisi cela et je me demandais si il y avait une possibilité d'avoir une version de Gtk plus récente.
Dans la mesure où cela n'altère pas les capacités de Darktable, je vais attendre la 20.04 LTS : je travaille avec VirtualBox et j'ai toujours peur des changements qui me priverait de Virtual Box dont je me sers pour faire tourner mon logiciel de compta.
Merci de ta réponse !
Jean-Louis

Dans l'absolu, il doit bien exister un PPA permettant de télécharger une version plus récente mais mettre à jour une librairie majeure comme Gtk n'est pas sans risque de casser quelque chose d'autre sur le système.
Aussi appelé Nilvus !
Ubuntu 19.10 - darktable master - Macbook pro fin 2013 13"
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)